org.eclipse.gef.zest.fx.parts

## Class HiddenNeighborsFeedbackPart

- java.lang.Object
- - org.eclipse.gef.mvc.fx.parts.AbstractVisualPart<V>
  - - org.eclipse.gef.mvc.fx.parts.AbstractFeedbackPart<javafx.scene.Group>
    - - org.eclipse.gef.zest.fx.parts.HiddenNeighborsFeedbackPart

All Implemented Interfaces:
  IActivatable, IAdaptable, IAdaptable.Bound<IViewer>, IDisposable, IFeedbackPart<javafx.scene.Group>, IVisualPart<javafx.scene.Group>

    public class HiddenNeighborsFeedbackPart
    extends AbstractFeedbackPart<javafx.scene.Group>

The `HiddenNeighborsFeedbackPart` is an `AbstractFeedbackPart` that displays the number of hidden neighbors (see `HidingModel.getHiddenNeighbors(org.eclipse.gef.graph.Node)`) of its first anchorage.

### Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`active, adaptable, adapters, anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adapters`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.activate.IActivatable

`active`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Field Summary

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`HiddenNeighborsFeedbackPart()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doAttachToAnchorageVisual(IVisualPart<? extends javafx.scene.Node> anchorage, java.lang.String role)`
`protected javafx.scene.Group` `doCreateVisual()`
`protected void` `doDetachFromAnchorageVisual(IVisualPart<? extends javafx.scene.Node> anchorage, java.lang.String role)`
`protected void` `doRefreshVisual(javafx.scene.Group visual)`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractFeedbackPart

`doAddChildVisual, doRemoveChildVisual`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`activate, activateAdapters, activateChildren, activeProperty, adaptableProperty, adaptersProperty, addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, deactivate, deactivateAdapters, deactivateChildren, detachAnchored, detachFromAnchorage, detachFromAnchorage, determineViewer, dispose, doActivate, doDeactivate, getAdaptable, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getVisual, isActive, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, register, registerAtVisualPartMap, removeChild, removeChildren, reorderChild, setAdaptable, setAdapter, setAdapter, setAdapter, setAdapter, setParent, setRefreshVisual, unregister, unregisterFromVisualPartMap, unsetAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Constructor Detail

#### HiddenNeighborsFeedbackPart

    public HiddenNeighborsFeedbackPart()

### Method Detail

#### doAttachToAnchorageVisual

    protected void doAttachToAnchorageVisual(IVisualPart<? extends javafx.scene.Node> anchorage,
                                             java.lang.String role)

Overrides:
  `doAttachToAnchorageVisual` in class `AbstractFeedbackPart<javafx.scene.Group>`

#### doCreateVisual

    protected javafx.scene.Group doCreateVisual()

Specified by:
  `doCreateVisual` in class `AbstractVisualPart<javafx.scene.Group>`

#### doDetachFromAnchorageVisual

    protected void doDetachFromAnchorageVisual(IVisualPart<? extends javafx.scene.Node> anchorage,
                                               java.lang.String role)

Overrides:
  `doDetachFromAnchorageVisual` in class `AbstractFeedbackPart<javafx.scene.Group>`

#### doRefreshVisual

    protected void doRefreshVisual(javafx.scene.Group visual)

Specified by:
  `doRefreshVisual` in class `AbstractVisualPart<javafx.scene.Group>`